/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * DetailGlazieryRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DetailGlazieryRequest {
  @SerializedName("is_glaziery_damage")
  private Boolean isGlazieryDamage = null;

  @SerializedName("is_forced_vandalism")
  private Boolean isForcedVandalism = null;

  @SerializedName("is_covered_address")
  private Boolean isCoveredAddress = null;

  @SerializedName("suggested_decision")
  private String suggestedDecision = null;

  @SerializedName("additional_information")
  private String additionalInformation = null;

  public DetailGlazieryRequest isGlazieryDamage(Boolean isGlazieryDamage) {
    this.isGlazieryDamage = isGlazieryDamage;
    return this;
  }

   /**
   * Has the glass been damaged?
   * @return isGlazieryDamage
  **/
  @ApiModelProperty(example = "true", value = "Has the glass been damaged?")
  public Boolean isIsGlazieryDamage() {
    return isGlazieryDamage;
  }

  public void setIsGlazieryDamage(Boolean isGlazieryDamage) {
    this.isGlazieryDamage = isGlazieryDamage;
  }

  public DetailGlazieryRequest isForcedVandalism(Boolean isForcedVandalism) {
    this.isForcedVandalism = isForcedVandalism;
    return this;
  }

   /**
   * Is the damage due to vandalism or force?
   * @return isForcedVandalism
  **/
  @ApiModelProperty(example = "true", value = "Is the damage due to vandalism or force?")
  public Boolean isIsForcedVandalism() {
    return isForcedVandalism;
  }

  public void setIsForcedVandalism(Boolean isForcedVandalism) {
    this.isForcedVandalism = isForcedVandalism;
  }

  public DetailGlazieryRequest isCoveredAddress(Boolean isCoveredAddress) {
    this.isCoveredAddress = isCoveredAddress;
    return this;
  }

   /**
   * Is the address damage covered by the contract?
   * @return isCoveredAddress
  **/
  @ApiModelProperty(example = "true", value = "Is the address damage covered by the contract?")
  public Boolean isIsCoveredAddress() {
    return isCoveredAddress;
  }

  public void setIsCoveredAddress(Boolean isCoveredAddress) {
    this.isCoveredAddress = isCoveredAddress;
  }

  public DetailGlazieryRequest suggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
    return this;
  }

   /**
   * Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)
   * @return suggestedDecision
  **/
  @ApiModelProperty(example = "ASSIGN_PRV", value = "Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)")
  public String getSuggestedDecision() {
    return suggestedDecision;
  }

  public void setSuggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
  }

  public DetailGlazieryRequest additionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Additional information to precise the decision or the damage
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "Additional information to precise the decision or the damage")
  public String getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DetailGlazieryRequest detailGlazieryRequest = (DetailGlazieryRequest) o;
    return Objects.equals(this.isGlazieryDamage, detailGlazieryRequest.isGlazieryDamage) &&
        Objects.equals(this.isForcedVandalism, detailGlazieryRequest.isForcedVandalism) &&
        Objects.equals(this.isCoveredAddress, detailGlazieryRequest.isCoveredAddress) &&
        Objects.equals(this.suggestedDecision, detailGlazieryRequest.suggestedDecision) &&
        Objects.equals(this.additionalInformation, detailGlazieryRequest.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isGlazieryDamage, isForcedVandalism, isCoveredAddress, suggestedDecision, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DetailGlazieryRequest {\n");
    
    sb.append("    isGlazieryDamage: ").append(toIndentedString(isGlazieryDamage)).append("\n");
    sb.append("    isForcedVandalism: ").append(toIndentedString(isForcedVandalism)).append("\n");
    sb.append("    isCoveredAddress: ").append(toIndentedString(isCoveredAddress)).append("\n");
    sb.append("    suggestedDecision: ").append(toIndentedString(suggestedDecision)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

